Skip to main content
GET
/
api
/
settings
/
email
/
events
Error
A valid request URL is required to generate request examples
{
  "events": [
    {
      "id": 123,
      "message_id": "<string>",
      "event_type": "<string>",
      "recipient": "<string>",
      "subject": "<string>",
      "mailer_class": "<string>",
      "mailer_action": "<string>",
      "client_ip": "<string>",
      "click_url": "<string>",
      "event_timestamp": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123
  },
  "stats": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.spitshake.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

API token generated at Settings > API

Query Parameters

event_type
string
recipient
string
page
integer
default:1
per_page
integer
default:25
Required range: x <= 100

Response

200 - application/json

Email events with pagination

events
object[]
pagination
object
stats
object